#tabstop=4
################################################################################
# Project:  Orbasec
# 
#
# -------------------------------------------------------------------------
# Copyright (C) 1998 Polar Huemnn
#                    All rights reserved.
# -------------------------------------------------------------------------
# $Id$
################################################################################


KRB_SUBDIRS= \
	krb-hello \
	krb-naming \
	krb-del \
	krb-qop \
	krb-session \
	krb-tauth 

SSL_SUBDIRS= \
	ssl-hello \
	ssl-nodel \
	ssl-tauth \
	ssl-anonymous \
	ssl-hello-applet

IIOP_SUBDIRS= \
	iiop-hello

KRB_SSL_SUBDIRS= \
	krb-ssl-acc-cred

SUBDIRS= $(KRB_SUBDIRS) $(SSL_SUBDIRS) $(KRB_SSL_SUBDIRS) $(IIOP_SUBDIRS)

all install clean test::
	@for %i in ( $(SUBDIRS) ) do \
	    @cmd /c "cd %i & $(MAKE) /f Makefile.mak $@"

krb: iiop
	@for %i in ( $(KRB_SUBDIRS) ) do \
	    @cmd /c "cd %i & $(MAKE) /f Makefile.mak all"

ssl: iiop
	@for %i in ( $(SSL_SUBDIRS) ) do \
	    @cmd /c "cd %i & $(MAKE) /f Makefile.mak all"

iiop:
	@for subdir in $(IIOP_SUBDIRS); \
	do \
	    echo "making all in $$subdir"; \
	    ( cd $$subdir && $(MAKE) all ) || exit 1; \
	done
