//tabstop=4
//*****************************************************************************/
// Project: ORBAsec
//
// -------------------------------------------------------------------------
// Copyright (C) 1998 Polar Humenn
//                    All rights reserved.
// -------------------------------------------------------------------------
// $Id$
//*****************************************************************************/

package hello;

import org.omg.CORBA.*;
import org.omg.Security.*;

public class Hello_impl extends _HelloImplBase
{
	org.omg.CORBA.ORB orb;
	
    public boolean hello(byte[] intended_security_name,
	                     DelegationMode intended_del_mode)
    {
		System.out.println("Hello World!");
		
		try {
		
			org.omg.SecurityLevel2.Current current = 
				org.omg.SecurityLevel2.CurrentHelper.narrow(
					orb.resolve_initial_references("SecurityCurrent"));


			org.omg.SecurityLevel2.ReceivedCredentials rcreds = 
				current.received_credentials();

			System.out.println("Received Credentials:");
   			orbasec.corba.CredUtil.dumpCredentials(rcreds);

			// Return result of test.
			// The test states that the access id of the received
			// credentials must have the intenteded security name.
			// and the intended delegation mode. 
			return (orbasec.corba.CredUtil.equals(intended_security_name,
		                       orbasec.corba.CredUtil.getAccessId(rcreds))
				   && intended_del_mode == rcreds.delegation_mode());


		} catch (Exception e) {
			e.printStackTrace(System.out);
		}
		return false;
    }
}
