// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1997
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package hello;

import org.omg.CORBA.*;

public class Hello_impl extends _HelloImplBase
{
	org.omg.CORBA.ORB orb;
	
    public void hello(
		org.omg.Security.SecAttributeHolder   access_id
		)
    {
		
		try {
		
		org.omg.SecurityLevel2.Current current = 
			org.omg.SecurityLevel2.CurrentHelper.narrow(
				orb.resolve_initial_references("SecurityCurrent"));
				
		org.omg.SecurityLevel2.ReceivedCredentials rcreds =
									current.received_credentials();
		//System.out.println("Received Credentials:");
		//orbasec.corba.CredUtil.dumpCredentials(rcreds);
		
		access_id.value = orbasec.corba.CredUtil.getAccessIdAttribute(rcreds);
		
		System.out.println("Hello " +
			orbasec.corba.Opaque.decode(access_id.value.value) + "!");

		} catch (Exception e) {
			e.printStackTrace(System.out);
			throw new org.omg.CORBA.INTERNAL(e.toString());
		}
    }
}
