//tabstop=4
//*****************************************************************************/
// Project: ORBAsec
//
// File:    Server.java
// Date:    August 1998
//
// Description:
//              This file is a modification of ORBacus 3.0 hello demo modified
//   to illustrate Adiron's ORBAsec SL2 (SecurityLevel2).  
//
// -------------------------------------------------------------------------
// Copyright (C) 1998 Polar Humenn
//                    All rights reserved.
// -------------------------------------------------------------------------
// $Id$
//*****************************************************************************/
// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1997
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package hello;

import org.omg.CORBA.*;

public class Hello_impl extends _HelloImplBase
{
	org.omg.CORBA.ORB orb;
	
    public void hello()
    {
		System.out.println("Hello World!");
		
		try {
		
		org.omg.SecurityLevel2.Current current = 
			org.omg.SecurityLevel2.CurrentHelper.narrow(
				orb.resolve_initial_references("SecurityCurrent"));
				
		org.omg.SecurityLevel2.Credentials rcreds =
									current.received_credentials();
		System.out.println("Received Credentials:");
		       orbasec.corba.CredUtil.dumpCredentials(rcreds);
		
		} catch (Exception e) {
			e.printStackTrace(System.out);
		}
    }
}
